Skip to main content
`Ctrl`+`K`

# load_tree

load_tree(filename: str | pathlib.Path, format_name: str | None = None, underscore_unmunge: bool = False) → PhyloNode

  Constructor for tree.

  Parameters:
    filename

      a file path containing a newick or xml formatted tree.

    format_name

      either xml or json, all other values default to newick. Overrides file name suffix.

    underscore_unmunge

      replace underscores with spaces in all names read, i.e. “sp_name” becomes “sp name”.

  Returns:
    PhyloNode

  Notes

  Underscore unmunging is turned off by default, although it is part of the Newick format. Only the cogent3 json and xml tree formats are supported.

  filename is assigned to root node tree.source attribute.